[arch-commits] CVS update of core/base/kernel26 (PKGBUILD config config.x86_64)

Tobias Powalowski tpowa at archlinux.org
Mon Nov 26 11:17:42 EST 2007


    Date: Monday, November 26, 2007 @ 11:17:42
  Author: tpowa
    Path: /home/cvs-core/core/base/kernel26

Modified: PKGBUILD (1.275 -> 1.276) config (1.111 -> 1.112)
          config.x86_64 (1.39 -> 1.40)

'upgpkg: it adresses these bugs:
http://bugs.archlinux.org/task/8721
http://bugs.archlinux.org/task/8745
'


---------------+
 PKGBUILD      |   60 +++++++++++++++++++++++---------------------------------
 config        |    6 +++--
 config.x86_64 |    7 ++++--
 3 files changed, 34 insertions(+), 39 deletions(-)


Index: core/base/kernel26/PKGBUILD
diff -u core/base/kernel26/PKGBUILD:1.275 core/base/kernel26/PKGBUILD:1.276
--- core/base/kernel26/PKGBUILD:1.275	Sun Nov 18 08:26:08 2007
+++ core/base/kernel26/PKGBUILD	Mon Nov 26 11:17:42 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.275 2007/11/18 13:26:08 tpowa Exp $
+# $Id: PKGBUILD,v 1.276 2007/11/26 16:17:42 tpowa Exp $
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=kernel26
 _basekernel=2.6.23
 pkgver=2.6.23.8
-pkgrel=1
+pkgrel=2
 pkgdesc="The Linux Kernel and modules"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -22,6 +22,7 @@
 install=kernel26.install
 source=(ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_basekernel.tar.bz2
 	ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
+	ftp://ftp.kernel.org/pub/linux/kernel/v2.6/stable-review/patch-2.6.23.9-rc1.gz
 	### next two lines only needed for rc kernel building
 	#http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.23-rc9.bz2
 	#http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.23-rc9-git2.bz2
@@ -40,11 +41,14 @@
 	toshiba-bluetooth.patch
 	# add additional unusual usb entry
 	usb-storage-unusual-devs.patch
+	# cfs scheduler backport, modified to apply with gregs stable patch
+	#http://people.redhat.com/mingo/cfs-scheduler/sched-cfs-v2.6.23.8-v24.patch
+	ftp://ftp.archlinux.org/other/kernel26/sched-cfs-v2.6.23.9-v24.patch
 	# improve intel macintosh support
 	mactel-linux-2.6.23.patch
-	# update to alsa snapshot 20071116
-	http://www.archlinux.org/~tpowa/alsa-patches/alsa-20071117.patch.bz2
-	http://www.archlinux.org/~tpowa/alsa-patches/alsa-include-20071117.patch.bz2
+	# update to alsa snapshot 20071124
+	ftp://ftp.archlinux.org/other/kernel26/alsa-20071124.patch.bz2
+	ftp://ftp.archlinux.org/other/kernel26/alsa-include-20071117.patch.bz2
 	# fix broken acpi c states on buggy bioses, which violate acpi specification
 	acpi-buggy-bios.patch
 	# add squashfs and unionfs
@@ -55,21 +59,16 @@
 	lhash-2.6.22.patch
 	# fix hibernating support for saa7134 devices, implemented in .24 series finally
 	hibernate-saa7134.diff
-	# fixes from upstream kernel git trees
-	adjust_current_level_to_closest_available.patch
-	sata_sis-2.6.23.patch
-	ipw2x00-2.6.23.patch
 	# add possibility to undervolt certain cpus
 	linux-phc-0.3.0-kernel-vanilla-2.6.23rc3.patch
 	# adding genpatches from gentoo
 	2405_hostap-netdev-type.patch
-	2525_usb-storage-nikon-d200-quirk.patch
-	2530_usb-storage-nikon-d40x-quirk.patch
 )
 md5sums=('2cc2fd4d521dc5d7cfce0d8a9d1b3472'
          '8f5bcde606a910025eebe71d8a237e95'
-         '5dae9e729d6c58b37b59d4e7cf6c645d'
-         'f438434852b16e07e64ed7d9d63c3913'
+         'dfc4a49676bbbf094cca52b7f0a68eed'
+         '23f3fa43b0724e46963bfbfe4066e986'
+         '5c60ef8e3e18735e1aa3ff31ca158eea'
          '5a62bcc7e96601052c7405459b483826'
          'ed6b42fea2f5d27f7eb920746ccc1ebb'
          'a995ec849ea43d3c89d607bbdd1e7d09'
@@ -78,8 +77,9 @@
          '493137566bc397ec762c86e64bd96849'
          '695d8578a0334fa9bb140917561f03d4'
          '3ed791c3af3099489faf0d22cbcc55a8'
+         'ff5bd2e268093240cfbc4e72bc64e320'
          'ec43c317886f0c2e438eb0b668893776'
-         'a46ce1cb77902a3c2cc3ab25296f9656'
+         'b8ba55b6696723f2ce8ca79bf252eae0'
          '3c8dce56a11b7b9e6f3cb091edd6be6a'
          'bbc730a590d4e09b3d937b257e5a4bfe'
          '62d3ff7c067a5aa82f57711b3a4ab86a'
@@ -87,13 +87,8 @@
          '1a7e063a4972143374049e0df006044e'
          'b7e5e3ad9fae40eba0f1e91f49c31627'
          '19d8ed2579c18627ed4de1fd037a6652'
-         '5b40baab7fcd10d244308f9d1afda75c'
-         '36941e21388ecac2e79d3d1ab355402b'
-         '316f2df6cf66ee4ecfe2b5378f8c7cb7'
          'c273cf48f268ea205f483239e7f51073'
-         'd03807b1d61028a2d048152961b032a5'
-         '6712a865d8913a92d63a5d3ca774eb22'
-         'c21566dfd3c768976e118ecdff2ed96b')
+         'd03807b1d61028a2d048152961b032a5')
 
 build() {
   [ "${CARCH}" = "i686" ]   && KARCH=i386
@@ -106,6 +101,14 @@
   # greg kroahs stable patches, in reference to:
   # http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git
   # add them if needed
+  patch -Np1 -i ../patch-2.6.23.9-rc1 || return 1
+
+  # add latest CFS scheduler backport
+  # in reference to lkml:
+  # By popular demand, here is release -v24 of the CFS scheduler patch.
+  # It is a full backport of the latest & greatest scheduler code to 
+  # http://people.redhat.com/mingo/cfs-scheduler/
+  patch -Np1 -i ../sched-cfs-v2.6.23.9-v24.patch || return 1
 
   ### next 2 lines are only needed for rc kernels
   #patch -Np1 -i ../patch-$pkgver-rc9 || return 1
@@ -128,8 +131,8 @@
   # ftp://ftp.suse.com/pub/projects/alsa/snapshot/driver/
   # patches are created by diffing the kernel source,
   # against the alsa-kernel/ directory from tarball.
-  # status is 20071113
-  patch -Np0 -i ../alsa-20071117.patch || return 1
+  # status is 20071124
+  patch -Np0 -i ../alsa-20071124.patch || return 1
   patch -Np0 -i ../alsa-include-20071117.patch || return 1
 
   # improve intel macintosh support, in reference to:
@@ -153,22 +156,9 @@
   # sent in by: Hussam Al-Tayeb <ht990332 at gmail.com>
   patch -Np0 -i ../hibernate-saa7134.diff || return 1
 
-  # fix sata_sis issues, in reference to:
-  # http://bugs.archlinux.org/8435
-  patch -Np1 -i ../sata_sis-2.6.23.patch || return 1
-
-  # upstream fixes from upstream kernel git trees, in reference to:
-  # http://git.kernel.org/
-  # fix brightness buttons on some laptops
-  patch -Np1 -i ../adjust_current_level_to_closest_available.patch || return 1
-  # add ipw 2x00 fixes
-  patch -Np1 -i ../ipw2x00-2.6.23.patch || return 1
-
   # adding some genpatches from gentoo, in reference to:
   # http://sources.gentoo.org/viewcvs.py/linux-patches/genpatches-2.6/trunk/2.6.23/
   patch -Np1 -i ../2405_hostap-netdev-type.patch || return 1
-  patch -Np1 -i ../2525_usb-storage-nikon-d200-quirk.patch || return 1
-  patch -Np1 -i ../2530_usb-storage-nikon-d40x-quirk.patch || return 1
 
   # add sqashfs support, in reference to:
   # http://squashfs.sourceforge.net/
Index: core/base/kernel26/config
diff -u core/base/kernel26/config:1.111 core/base/kernel26/config:1.112
--- core/base/kernel26/config:1.111	Sun Nov 18 08:26:08 2007
+++ core/base/kernel26/config	Mon Nov 26 11:17:42 2007
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
 # Linux kernel version: 2.6.23
-# Sat Nov 17 12:57:29 2007
+# Sun Nov 25 14:45:45 2007
 #
 CONFIG_X86_32=y
 CONFIG_GENERIC_TIME=y
@@ -43,7 +43,8 @@
 CONFIG_IKCONFIG=y
 CONFIG_IKCONFIG_PROC=y
 CONFIG_LOG_BUF_SHIFT=15
-# CONFIG_CPUSETS is not set
+# CONFIG_FAIR_GROUP_SCHED is not set
+# CONFIG_FAIR_USER_SCHED is not set
 # CONFIG_SYSFS_DEPRECATED is not set
 CONFIG_RELAY=y
 CONFIG_BLK_DEV_INITRD=y
@@ -929,6 +930,7 @@
 # CONFIG_MTD_DOC2001PLUS is not set
 # CONFIG_MTD_NAND is not set
 # CONFIG_MTD_ONENAND is not set
+
 #
 # UBI - Unsorted block images
 #
Index: core/base/kernel26/config.x86_64
diff -u core/base/kernel26/config.x86_64:1.39 core/base/kernel26/config.x86_64:1.40
--- core/base/kernel26/config.x86_64:1.39	Sun Nov 18 08:26:08 2007
+++ core/base/kernel26/config.x86_64	Mon Nov 26 11:17:42 2007
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
 # Linux kernel version: 2.6.23
-# Sat Nov 17 13:51:22 2007
+# Sun Nov 25 14:45:45 2007
 #
 CONFIG_X86_64=y
 CONFIG_64BIT=y
@@ -50,7 +50,8 @@
 CONFIG_IKCONFIG=y
 CONFIG_IKCONFIG_PROC=y
 CONFIG_LOG_BUF_SHIFT=15
-# CONFIG_CPUSETS is not set
+# CONFIG_FAIR_GROUP_SCHED is not set
+# CONFIG_FAIR_USER_SCHED is not set
 # CONFIG_SYSFS_DEPRECATED is not set
 CONFIG_RELAY=y
 CONFIG_BLK_DEV_INITRD=y
@@ -839,6 +840,7 @@
 # CONFIG_MTD_DOC2001PLUS is not set
 # CONFIG_MTD_NAND is not set
 # CONFIG_MTD_ONENAND is not set
+
 #
 # UBI - Unsorted block images
 #
@@ -2931,6 +2933,7 @@
 CONFIG_RAMFS=y
 CONFIG_CONFIGFS_FS=m
 
+#
 # Layered filesystems
 #
 CONFIG_ECRYPT_FS=m




More information about the arch-commits mailing list